import java.io.*;
public class MakeCSV
{
    public MakeCSV(){}
    
    public static void main(String[] args)
    {
        try
        {
            String comma = ",";
            String newLine = "\n";

            RandomAccessFile scus = new RandomAccessFile("SCUS_942.21", "r");
            scus.seek(0x518b8);

            FileWriter jobWriter = new FileWriter("jobs.csv", false);
            for (int i = 0; i < 160; i++)
            {
                String[] jobArray = new String[48];
                for (int n = 0; n < 48; n++)
                {
                    int readVal = scus.readUnsignedByte();
                    jobArray[n] = "" + readVal;
                }
                
                jobWriter.write(jobArray[13], 0, jobArray[13].length());
                jobWriter.write(comma, 0, comma.length());
                jobWriter.write(jobArray[14], 0, jobArray[14].length());
                jobWriter.write(comma, 0, comma.length());
                jobWriter.write(jobArray[15], 0, jobArray[15].length());
                jobWriter.write(comma, 0, comma.length());
                jobWriter.write(jobArray[16], 0, jobArray[16].length());
                jobWriter.write(comma, 0, comma.length());
                jobWriter.write(jobArray[17], 0, jobArray[17].length());
                jobWriter.write(comma, 0, comma.length());
                jobWriter.write(jobArray[18], 0, jobArray[18].length());
                jobWriter.write(comma, 0, comma.length());
                jobWriter.write(jobArray[19], 0, jobArray[19].length());
                jobWriter.write(comma, 0, comma.length());
                jobWriter.write(jobArray[20], 0, jobArray[20].length());
                jobWriter.write(comma, 0, comma.length());
                jobWriter.write(jobArray[21], 0, jobArray[21].length());
                jobWriter.write(comma, 0, comma.length());
                jobWriter.write(jobArray[22], 0, jobArray[22].length());
                if (i != 159)
                {
                    jobWriter.write(newLine, 0, newLine.length());
                }
            }
            jobWriter.close();
            
            FileWriter abilityWriter = new FileWriter("abilities.csv", false);
            scus.seek(0x503f0);
            for (int i = 0; i < 512; i++)
            {
                String[] abilityArray = new String[14];
                for (int n = 0; n < 14; n++)
                {
                    int readVal = scus.readUnsignedByte();
                    abilityArray[n] = "" + readVal;
                }
                abilityWriter.write(abilityArray[8], 0, abilityArray[8].length());
                abilityWriter.write(comma,0,comma.length());
                abilityWriter.write(abilityArray[9], 0, abilityArray[9].length());
                abilityWriter.write(comma,0,comma.length());
                abilityWriter.write(abilityArray[10], 0, abilityArray[10].length());
                if (i != 511)
                {
                    abilityWriter.write(newLine,0,newLine.length());
                }
            }
            abilityWriter.close();
            
            FileWriter rawWriter = new FileWriter("rawStats.csv", false);
            scus.seek(0x4f10c);
            for (int i = 0; i < 4; i++)
            {
                String[] rawArray = new String[13];
                for (int n = 0; n < 12; n++)
                {
                    int readVal = scus.readUnsignedByte();
                    rawArray[n] = "" + readVal;
                }
                rawWriter.write(rawArray[0], 0, rawArray[0].length());
                rawWriter.write(comma,0,comma.length());
                rawWriter.write(rawArray[1], 0, rawArray[1].length());
                rawWriter.write(comma,0,comma.length());
                rawWriter.write(rawArray[2], 0, rawArray[2].length());
                rawWriter.write(comma,0,comma.length());
                rawWriter.write(rawArray[3], 0, rawArray[3].length());
                rawWriter.write(comma,0,comma.length());
                rawWriter.write(rawArray[4], 0, rawArray[4].length());
                if (i != 3)
                {
                    rawWriter.write(newLine,0,newLine.length());
                }
            }
            rawWriter.close();
            scus.close();
        }
        catch (Exception e)
        {
            System.out.println(e);
            e.printStackTrace();
            System.out.println("\n\nSCUS_942.21 must be in the same directory as MakeCSV.class\n\n");
        }
    }
}
